<template>
  <div class="WebManage">
    <div class="title">域名管理</div>
    <!--  <div class="row">
      <div class="label">系统升级访问域名</div>
      <el-input disabled v-model="systemName"></el-input>
    </div> -->

    <div class="row">
      <div class="label">APP升级访问域名</div>
      <el-input v-model="appName"></el-input>
    </div>

    <div @click="save" class="save_button">保存</div>
  </div>
</template>

<script>
import { getRemoteServer, setRemoteServer } from "@/api/system";

export default {
  data() {
    return {
      systemName: "",
      appName: "",
    };
  },
  created() {
    this.getRemoteServer();
  },
  methods: {
    async getRemoteServer() {
      const res = await getRemoteServer();
      this.appName = res.data.appServer;
    },
    async save() {
      const res = await setRemoteServer({
        appServer: this.appName,
      });
      if (res && res.success) {
        this.$notify({
          type: "success",
          message: "保存成功",
        });
      }
    },
  },
};
</script>

<style lang="scss" scoped >
.WebManage {
  margin: 10vh auto;
  text-align: left;
  width: 600px;

  .title {
    font-size: 20px;
    font-weight: 700;
  }

  .row {
    margin-top: 40px;
    display: flex;
    align-items: center;

    .label {
      width: 150px;
      font-size: 14px;
    }
  }

  .save_button {
    margin: 0 auto;
    margin-top: 80px;
    width: 188px;
    height: 40px;
    background: var(--colorCard);
    border-radius: 25px;
    font-weight: bold;
    font-size: 16px;
    line-height: 40px;
    color: #fff;
    text-align: center;
    cursor: pointer;
  }
}
</style>